/*
 * Copyright (C) 2009 Maxime Simon <simon.maxime@gmail.com>
 *
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY APPLE COMPUTER, INC. ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL APPLE COMPUTER, INC. OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include "<Catalog.h>"

#include "config.h"
#include "LocalizedStrings.h"

#include "NotImplemented.h"
#include "PlatformString.h"

#define B_TRANSLATION_CONTEXT "WebPositive Page Context Menu"

namespace WebCore {
String submitButtonDefaultLabel()
{
    return B_TRANSLATE("Submit");
}

String inputElementAltText()
{
    return String();
}

String resetButtonDefaultLabel()
{
    return B_TRANSLATE("Reset");
}

String searchableIndexIntroduction()
{
    return B_TRANSLATE("Searchable Index");
}

String fileButtonChooseFileLabel()
{
    return B_TRANSLATE("Choose File");
}

String fileButtonChooseMultipleFilesLabel()
{
    return B_TRANSLATE("Choose Files");
}

String fileButtonNoFileSelectedLabel()
{
    return B_TRANSLATE("No file selected");
}

String fileButtonNoFilesSelectedLabel()
{
    return B_TRANSLATE("No files selected");
}

String contextMenuItemTagOpenLinkInNewWindow()
{
    return B_TRANSLATE("Open link in new tab");
}

String contextMenuItemTagDownloadLinkToDisk()
{
    return B_TRANSLATE("Download link to disk");
}

String contextMenuItemTagCopyLinkToClipboard()
{
    return B_TRANSLATE("Copy link to clipboard");
}

String contextMenuItemTagOpenImageInNewWindow()
{
    return B_TRANSLATE("Open image in new window");
}

String contextMenuItemTagDownloadImageToDisk()
{
    return B_TRANSLATE("Download image to disk");
}

String contextMenuItemTagCopyImageToClipboard()
{
    return B_TRANSLATE("Copy image to clipboard");
}

String contextMenuItemTagOpenFrameInNewWindow()
{
    return B_TRANSLATE("Open frame in new window");
}

String contextMenuItemTagCopy()
{
    return B_TRANSLATE("Copy");
}

String contextMenuItemTagGoBack()
{
    return B_TRANSLATE("Go back");
}

String contextMenuItemTagGoForward()
{
    return B_TRANSLATE("Go forward");
}

String contextMenuItemTagStop()
{
    return B_TRANSLATE("Stop");
}

String contextMenuItemTagReload()
{
    return B_TRANSLATE("Reload");
}

String contextMenuItemTagCut()
{
    return B_TRANSLATE("Cut");
}

String contextMenuItemTagPaste()
{
    return B_TRANSLATE("Paste");
}

String contextMenuItemTagNoGuessesFound()
{
    return B_TRANSLATE("No guesses found");
}

String contextMenuItemTagIgnoreSpelling()
{
    return B_TRANSLATE("Ignore spelling");
}

String contextMenuItemTagLearnSpelling()
{
    return B_TRANSLATE("Learn spelling");
}

String contextMenuItemTagSearchWeb()
{
    return B_TRANSLATE("Search web");
}

String contextMenuItemTagLookUpInDictionary()
{
    return B_TRANSLATE("Lookup in dictionary");
}

String contextMenuItemTagOpenLink()
{
    return B_TRANSLATE("Open link");
}

String contextMenuItemTagIgnoreGrammar()
{
    return B_TRANSLATE("Ignore grammar");
}

String contextMenuItemTagSpellingMenu()
{
    return B_TRANSLATE("Spelling menu");
}

String contextMenuItemTagShowSpellingPanel(bool show)
{
    return B_TRANSLATE("Show spelling panel");
}

String contextMenuItemTagCheckSpelling()
{
    return B_TRANSLATE("Check spelling");
}

String contextMenuItemTagCheckSpellingWhileTyping()
{
    return B_TRANSLATE("Check spelling while typing");
}

String contextMenuItemTagCheckGrammarWithSpelling()
{
    return B_TRANSLATE("Check for grammar with spelling");
}

String contextMenuItemTagFontMenu()
{
    return B_TRANSLATE("Font menu");
}

String contextMenuItemTagBold()
{
    return B_TRANSLATE("Bold");
}

String contextMenuItemTagItalic()
{
    return B_TRANSLATE("Italic");
}

String contextMenuItemTagUnderline()
{
    return B_TRANSLATE("Underline");
}

String contextMenuItemTagOutline()
{
    return B_TRANSLATE("Outline");
}

String contextMenuItemTagWritingDirectionMenu()
{
    return B_TRANSLATE("Writing direction menu");
}

String contextMenuItemTagDefaultDirection()
{
    return B_TRANSLATE("Default direction");
}

String contextMenuItemTagLeftToRight()
{
    return B_TRANSLATE("Left to right");
}

String contextMenuItemTagRightToLeft()
{
    return B_TRANSLATE("Right to left");
}

String contextMenuItemTagInspectElement()
{
    return B_TRANSLATE("Inspect");
}

String contextMenuItemTagOpenVideoInNewWindow()
{
    return B_TRANSLATE("Open Video in New Window");
}

String contextMenuItemTagOpenAudioInNewWindow()
{
    return B_TRANSLATE("Open Audio in New Window");
}

String contextMenuItemTagCopyVideoLinkToClipboard()
{
    return B_TRANSLATE("Copy Video Link Location");
}

String contextMenuItemTagCopyAudioLinkToClipboard()
{
    return B_TRANSLATE("Copy Audio Link Location");
}

String contextMenuItemTagToggleMediaControls()
{
    return B_TRANSLATE("Toggle Media Controls");
}

String contextMenuItemTagToggleMediaLoop()
{
    return B_TRANSLATE("Toggle Media Loop Playback");
}

String contextMenuItemTagEnterVideoFullscreen()
{
    return B_TRANSLATE("Switch Video to Fullscreen");
}

String contextMenuItemTagMediaPlay()
{
    return B_TRANSLATE("Play");
}

String contextMenuItemTagMediaPause()
{
    return B_TRANSLATE("Pause");
}

String contextMenuItemTagMediaMute()
{
    return B_TRANSLATE("Mute");
}

String searchMenuNoRecentSearchesText()
{
    return B_TRANSLATE("No recent text searches");
}

String searchMenuRecentSearchesText()
{
    return B_TRANSLATE("Recent text searches");
}

String searchMenuClearRecentSearchesText()
{
    return B_TRANSLATE("Clear recent text searches");
}

String unknownFileSizeText()
{
    return B_TRANSLATE("Unknown");
}

String AXWebAreaText()
{
    return String();
}

String AXLinkText()
{
    return String();
}

String AXListMarkerText()
{
    return String();
}

String AXImageMapText()
{
    return String();
}

String AXHeadingText()
{
    return String();
}

String AXMenuListPopupActionVerb()
{
    return String();
}

String AXMenuListActionVerb()
{
    return String();
}

String missingPluginText()
{
    return B_TRANSLATE("Missing Plug-in");
}

String crashedPluginText()
{
    return B_TRANSLATE("Plug-in Failure");
}

String multipleFileUploadText(unsigned)
{
    // FIXME:
    notImplemented();
    return String();
}


String imageTitle(const String& filename, const IntSize& size)
{
    return String(filename);
}

String contextMenuItemTagTextDirectionMenu()
{
    return String();
}

String AXButtonActionVerb()
{
    return String();
}

String AXTextFieldActionVerb()
{
    return String();
}

String AXRadioButtonActionVerb()
{
    return String();
}

String AXCheckedCheckBoxActionVerb()
{
    return String();
}

String AXUncheckedCheckBoxActionVerb()
{
    return String();
}

String AXLinkActionVerb()
{
    return String();
}

String AXDefinitionListTermText()
{
    return String();
}

String AXDefinitionListDefinitionText()
{
    return String();
}

String validationMessageValueMissingText()
{
    notImplemented();
    return String();
}

String validationMessageValueMissingForCheckboxText()
{
    notImplemented();
    return String();
}

String validationMessageValueMissingForFileText()
{
    notImplemented();
    return String();
}

String validationMessageValueMissingForMultipleFileText()
{
    notImplemented();
    return String();
}

String validationMessageValueMissingForRadioText()
{
    notImplemented();
    return String();
}

String validationMessageValueMissingForSelectText()
{
    notImplemented();
    return String();
}

String validationMessageTypeMismatchText()
{
    notImplemented();
    return String();
}

String validationMessageTypeMismatchForEmailText()
{
    notImplemented();
    return String();
}

String validationMessageTypeMismatchForMultipleEmailText()
{
    notImplemented();
    return String();
}

String validationMessageTypeMismatchForURLText()
{
    notImplemented();
    return String();
}

String validationMessagePatternMismatchText()
{
    notImplemented();
    return String();
}

String validationMessageTooLongText(int valueLength, int maxLength)
{
    notImplemented();
    return String();
}

String validationMessageRangeUnderflowText(const String& minimum)
{
    notImplemented();
    return String();
}

String validationMessageRangeOverflowText(const String& maximum)
{
    notImplemented();
    return String();
}

String validationMessageStepMismatchText(const String& base, const String& step)
{
    notImplemented();
    return String();
}

} // namespace WebCore

